#!/bin/sh
#
# Starter for the CommuniGate(tm) Pro Server
#
BASEDIRECTORY="/var/CommuniGate"
APPLICATION="/usr/local/sbin/CommuniGate"

case $1 in
start)
   if [ ! -d ${BASEDIRECTORY} ]; then
     if mkdir ${BASEDIRECTORY} && chgrp mail ${BASEDIRECTORY} && \
        chmod 0770 ${BASEDIRECTORY} ; then
       echo "CommuniGate Pro Base Directory created"
     else
       echo "Failed to create the CommuniGate Pro Base Directory"; exit 1
     fi
   fi

   if [ -x ${APPLICATION}/CGServer ]; then
     echo "Starting CommuniGate Pro"
     ${APPLICATION}/CGServer --CGateBase ${BASEDIRECTORY} --Daemon
     exit 0
   fi
   echo "CommuniGate Pro Server is not found"
   exit 1
   ;;
stop)
  if [ -f ${BASEDIRECTORY}/ProcessID ]; then
    echo "killing CommuniGate Pro"
    kill `cat ${BASEDIRECTORY}/ProcessID`
  else
    echo "looks like the CommuniGate Pro Server is not running"
  fi
  exit 0
  ;;
*)
  echo "usage: $0 [start | stop]"
  exit 1
  ;;
esac

